Skip to main content

Model object

Returned by GET /v1/models.
FieldTypeDescription
idstringModel identifier to pass as agent.model
typestringAlways "model"
display_namestringDisplay name for UI and selection
sourcestringModel source. Valid values: system, user
is_enabledbooleanWhether the model is enabled. The list endpoint filters out disabled upstream models
is_newbooleanWhether the model is marked as new
price_factornumberOptional relative price factor
effortsarray of stringOptional supported reasoning effort values. Valid values: none, low, medium, high, xhigh, max
default_effortstringOptional default effort value when provided by the upstream catalog

Model list response

FieldTypeDescription
dataarray of Model objectAvailable models for the configured scene
has_morebooleanAlways false

Agent setup

Create a reusable, versioned agent configuration.